## org.mortbay.jetty.ant.types
Class SystemProperties

    java.lang.Object
      org.mortbay.jetty.ant.types.SystemProperties

    public class SystemProperties

extends Object

Ant <systemProperties/> tag definition.

Author:
  Jakub Pawlowicz

Constructor Summary
`SystemProperties()`

Method Summary
`void` `addSystemProperty(org.apache.tools.ant.taskdefs.Property property)`
`List` `getSystemProperties()`
`static boolean` `setIfNotSetAlready(org.apache.tools.ant.taskdefs.Property property)` Set a System.property with this value if it is not already set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemProperties

    public SystemProperties()

Method Detail

### getSystemProperties

    public List getSystemProperties()

### addSystemProperty

    public void addSystemProperty(org.apache.tools.ant.taskdefs.Property property)

### setIfNotSetAlready

    public static boolean setIfNotSetAlready(org.apache.tools.ant.taskdefs.Property property)

  Set a System.property with this value if it is not already set.

  Returns:

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.